/* Pango
 * pangogp-context.h: Rendering contexts
 *
 * Copyright (C) 2000 Red Hat Software
 * Copyright (C) 2003 Sun Microsystems
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __PANGO_GP_CONTEXT_H__
#define __PANGO_GP_CONTEXT_H__

#include <pango/pangogp.h>

G_BEGIN_DECLS

typedef struct _PangoGPContext      PangoGPContext;
typedef struct _PangoGPContextClass PangoGPContextClass;

#define PANGO_TYPE_GP_CONTEXT              (pango_gp_context_get_type ())
#define PANGO_GP_CONTEXT(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), PANGO_TYPE_GP_CONTEXT, PangoGPContext))
#define PANGO_GP_CONTEXT_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), PANGO_TYPE_GP_CONTEXT, PangoGPContextClass))
#define PANGO_IS_GP_CONTEXT(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), PANGO_TYPE_GP_CONTEXT))
#define PANGO_IS_GP_CONTEXT_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), PANGO_TYPE_GP_CONTEXT))
#define PANGO_GP_CONTEXT_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), PANGO_TYPE_GP_CONTEXT, PangoGPContextClass))


GType         pango_gp_context_get_type      (void) G_GNUC_CONST;

#ifdef PANGO_ENABLE_BACKEND
PangoContext *      pango_gp_context_new           (void);
void                pango_gp_context_set_debug_flags  (PangoContext         *context,
						       PangoGPDebugFlags debug_flags);
GnomePrintContext * pango_gp_context_get_context (PangoContext     *context);
void                pango_gp_context_set_context  (PangoContext         *context,
						   GnomePrintContext *gpc);
#endif /* PANGO_ENABLE_BACKEND */

PangoGPDebugFlags    pango_gp_context_get_debug_flags (PangoContext *context);

G_END_DECLS

#endif /* __PANGO_GP_CONTEXT_H__ */
